Loading...
Searching...
No Matches
juce::TextEditor::Listener Class Reference

## Detailed Description

Receives callbacks from a TextEditor component when it changes.

See also
  TextEditor::addListener

The documentation for this class was generated from the following file:

- juce_gui_basics/widgets/juce_TextEditor.h

Inheritance diagram for juce::TextEditor::Listener:

## Public Member Functions

virtual | ~Listener ()=default
| Destructor.
virtual void | textEditorTextChanged (TextEditor &)
| Called when the user changes the text in some way.
virtual void | textEditorReturnKeyPressed (TextEditor &)
| Called when the user presses the return key.
virtual void | textEditorEscapeKeyPressed (TextEditor &)
| Called when the user presses the escape key.
virtual void | textEditorFocusLost (TextEditor &)
| Called when the text editor loses focus.

## Constructors and Destructors

## ~Listener()

virtual juce::TextEditor::Listener::~Listener | ( |  | ) |

virtual default

Destructor.

## Member Functions

## textEditorTextChanged()

virtual void juce::TextEditor::Listener::textEditorTextChanged | ( | TextEditor & |  | ) |

inline virtual

Called when the user changes the text in some way.

Reimplemented in juce::Label.

References juce::TextEditor::TextEditor().

## textEditorReturnKeyPressed()

virtual void juce::TextEditor::Listener::textEditorReturnKeyPressed | ( | TextEditor & |  | ) |

inline virtual

Called when the user presses the return key.

Reimplemented in juce::Label.

References juce::TextEditor::TextEditor().

## textEditorEscapeKeyPressed()

virtual void juce::TextEditor::Listener::textEditorEscapeKeyPressed | ( | TextEditor & |  | ) |

inline virtual

Called when the user presses the escape key.

Reimplemented in juce::Label.

References juce::TextEditor::TextEditor().

## textEditorFocusLost()

virtual void juce::TextEditor::Listener::textEditorFocusLost | ( | TextEditor & |  | ) |

inline virtual

Called when the text editor loses focus.

Reimplemented in juce::Label.

References juce::TextEditor::TextEditor().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited